PKG_CHECK-VERSION(1)

NAME
pkg_check-version - verify parsing and ordering of package names

SYNOPSIS
pkg_check-version [-Hv] pkgname ...

DESCRIPTION
pkg_check-version takes a list of pkgname and processes them.
•   each name is parsed and checked for issues.
•   in addition, comparable names (same stem and same flavor) are sorted from older to newer version.

Options are as follows:

-H  displays a human-readable version of each pkgname (full version parsing, including known suffixes, dewey numbers parsing, REVISION, EPOCH, flavor markers).

-v  verbose mode, which will explicitly state pkgname with no issues and sort one element lists.

SEE ALSO
packages-specs(7)

AUTHORS
Marc Espie <espie@openbsd.org>